Package com.arms.api.requirement.reqstatus.service

## Interface ReqStatus

- All Superinterfaces:
    `TreeService`
  All Known Implementing Classes:
    `ReqStatusImpl`

      public interface ReqStatus
      extends TreeService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `ALM_이슈상태_업데이트​(ReqStatusEntity reqStatusEntity)` |
    `JiraServerEntity` | `ALM서버_검색​(java.lang.Long ALM서버_아이디)` |
    `void` | `ALM서버_요구사항_처리_및_REQSTATUS_업데이트​(ReqStatusEntity reqStatusEntity, java.lang.Long 제품서비스_아이디)` |
    `java.util.List<HierarchicalAlmIssue>` | `getHierarchicalAlmIssuesByAdvancedDiscovery​(java.lang.Long pdServiceId, java.util.List<java.lang.Long> pdServiceVersionIds)` |
    `java.util.List<HierarchicalAlmIssue>` | `getSubtasksAndLinkedIssues​(SubtaskAndLinkedIssuesRequestDTO requestDTO)` |
    `void` | `reqStatusCheckAfterAlmProcess​(ReqStatusDTO reqStatusDTO, java.lang.Long 제품서비스_아이디)` |
    `ReqStatusDashboardVO` | `reqStatusDashboard​(java.lang.Long pdServiceId, java.util.List<java.lang.Long> pdServiceVersionIds)` |
    `java.util.List<IssueListVO>` | `reqStatusIssueList​(java.lang.Long pdServiceId, java.util.List<java.lang.Long> pdServiceVersionIds)` |

    - ### Methods inherited from interface com.arms.egovframework.javaservice.treeframework.service.TreeService

      `addNode, alterNode, alterNodeType, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, overwriteNode, removeNode, searchNode, updateField, updateNode`

- - ### Method Detail

    - #### ALM서버_요구사항_처리_및_REQSTATUS_업데이트

          void ALM서버_요구사항_처리_및_REQSTATUS_업데이트​(ReqStatusEntity reqStatusEntity,
                                              java.lang.Long 제품서비스_아이디)

    - #### ALM서버_검색

          JiraServerEntity ALM서버_검색​(java.lang.Long ALM서버_아이디)

    - #### ALM_이슈상태_업데이트

          void ALM_이슈상태_업데이트​(ReqStatusEntity reqStatusEntity)

    - #### reqStatusCheckAfterAlmProcess

          void reqStatusCheckAfterAlmProcess​(ReqStatusDTO reqStatusDTO,
                                             java.lang.Long 제품서비스_아이디)
                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### reqStatusDashboard

          ReqStatusDashboardVO reqStatusDashboard​(java.lang.Long pdServiceId,
                                                  java.util.List<java.lang.Long> pdServiceVersionIds)
                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### reqStatusIssueList

          java.util.List<IssueListVO> reqStatusIssueList​(java.lang.Long pdServiceId,
                                                         java.util.List<java.lang.Long> pdServiceVersionIds)
                                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getHierarchicalAlmIssuesByAdvancedDiscovery

          java.util.List<HierarchicalAlmIssue> getHierarchicalAlmIssuesByAdvancedDiscovery​(java.lang.Long pdServiceId,
                                                                                           java.util.List<java.lang.Long> pdServiceVersionIds)
                                                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getSubtasksAndLinkedIssues

          java.util.List<HierarchicalAlmIssue> getSubtasksAndLinkedIssues​(SubtaskAndLinkedIssuesRequestDTO requestDTO)
                                                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`